Restore Insight
POST
/users/{user_id}/insights/restore
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/insights/restore';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"insight_id":"example","kind":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/insights/restore \ --header 'Content-Type: application/json' \ --data '{ "insight_id": "example", "kind": "example" }'Un-hide a previously-dismissed insight card (the Undo path). Idempotent.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
DismissInsightRequest
Hide (or restore) one insight card by its stable fingerprint. kind namespaces the id across
tracks; for a relationship the id is factor|metric|lag (InsightCard.id).
object
insight_id
required
Insight Id
string
kind
required
Kind
string
Examplegenerated
{ "insight_id": "example", "kind": "example"}Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}